> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Invokes the c1.api.vault.v1.VaultService.Create method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/vaults
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/vaults:
    post:
      tags:
        - Vault
      summary: Create
      description: Invokes the c1.api.vault.v1.VaultService.Create method.
      operationId: c1.api.vault.v1.VaultService.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.vault.v1.VaultServiceCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.vault.v1.VaultServiceCreateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Create
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Vault.Create(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VaultServiceCreateResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.vault.v1.VaultServiceCreateRequest:
      description: >
        The VaultServiceCreateRequest message.


        This message contains a oneof named vault. Only a single field of the
        following list may be set at a time:
          - groupAuthzVault
          - magicVault
      properties:
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        groupAuthzVault:
          $ref: '#/components/schemas/c1.api.vault.v1.GroupAuthzVault'
        magicVault:
          $ref: '#/components/schemas/c1.api.vault.v1.MagicVault'
        ownerIds:
          description: The ownerIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      required:
        - displayName
      title: Vault Service Create Request
      type: object
      x-speakeasy-name-override: VaultServiceCreateRequest
    c1.api.vault.v1.VaultServiceCreateResponse:
      description: The VaultServiceCreateResponse message.
      properties:
        vault:
          $ref: '#/components/schemas/c1.api.vault.v1.Vault'
      title: Vault Service Create Response
      type: object
      x-speakeasy-name-override: VaultServiceCreateResponse
    c1.api.vault.v1.GroupAuthzVault:
      description: The GroupAuthzVault message.
      nullable: true
      title: Group Authz Vault
      type: object
      x-speakeasy-name-override: GroupAuthzVault
    c1.api.vault.v1.MagicVault:
      description: The MagicVault message.
      nullable: true
      properties:
        allowUnauthedViews:
          description: The allowUnauthedViews field.
          readOnly: false
          type: boolean
        allowedViews:
          description: The allowedViews field.
          format: uint32
          readOnly: false
          type: integer
      title: Magic Vault
      type: object
      x-speakeasy-name-override: MagicVault
    c1.api.vault.v1.Vault:
      description: >
        The Vault message.


        This message contains a oneof named vault. Only a single field of the
        following list may be set at a time:
          - groupAuthzVault
          - magicVault
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type: string
        credentialExpirationDuration:
          format: duration
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        groupAuthzVault:
          $ref: '#/components/schemas/c1.api.vault.v1.GroupAuthzVault'
        id:
          description: The id field.
          readOnly: false
          type: string
        magicVault:
          $ref: '#/components/schemas/c1.api.vault.v1.MagicVault'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Vault
      type: object
      x-speakeasy-entity: Vault
      x-speakeasy-name-override: Vault
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````